| Qore CdsRestDataProvider Module Reference 1.0.0

Variables
Query Operators

## Variables
const | CDSRestDataProvider::QUERY_OP_CONTAINS = "contains"
| like/contains operator
const | CDSRestDataProvider::QUERY_OP_ENDSWITH = "endswith"
| like/contains operator
const | CDSRestDataProvider::QUERY_OP_EQ = "eq"
| the Query equals operator (=) for use in queries More...
const | CDSRestDataProvider::QUERY_OP_GE = "ge"
| the Query greater than or equals operator (>=) for use in queries More...
const | CDSRestDataProvider::QUERY_OP_GT = "gt"
| the Query greater than operator (>) for use in queries More...
const | CDSRestDataProvider::QUERY_OP_LE = "le"
| the Query less than or equals (<=) operator for use in queries More...
const | CDSRestDataProvider::QUERY_OP_LT = "lt"
| the Query less than (<) operator for use in queries More...
const | CDSRestDataProvider::QUERY_OP_NE = "ne"
| the Query not equals operator (!= or <>) for use in queries More...
const | CDSRestDataProvider::QUERY_OP_NOT = "not"
| the Query `"not"` operator for use in queries More...
const | CDSRestDataProvider::QUERY_OP_OR = "or"
| to combine Query expressions with `"or"` for use in queries More...
const | CDSRestDataProvider::QUERY_OP_STARTSWITH = "startswith"
| like/contains operator

## Detailed Description

These are the operators that can be used in queries

## Variable Documentation

## ◆ QUERY_OP_EQ

const CDSRestDataProvider::QUERY_OP_EQ = "eq"

the Query equals operator (=) for use in queries

See also
  query_op_eq()

## ◆ QUERY_OP_GE

const CDSRestDataProvider::QUERY_OP_GE = "ge"

the Query greater than or equals operator (>=) for use in queries

See also
  query_op_ge()

## ◆ QUERY_OP_GT

const CDSRestDataProvider::QUERY_OP_GT = "gt"

the Query greater than operator (>) for use in queries

See also
  query_op_gt()

## ◆ QUERY_OP_LE

const CDSRestDataProvider::QUERY_OP_LE = "le"

the Query less than or equals (<=) operator for use in queries

See also
  query_op_le()

## ◆ QUERY_OP_LT

const CDSRestDataProvider::QUERY_OP_LT = "lt"

the Query less than (<) operator for use in queries

See also
  query_op_lt()

## ◆ QUERY_OP_NE

const CDSRestDataProvider::QUERY_OP_NE = "ne"

the Query not equals operator (!= or <>) for use in queries

See also
  query_op_ne()

## ◆ QUERY_OP_NOT

const CDSRestDataProvider::QUERY_OP_NOT = "not"

the Query `"not"` operator for use in queries

See also
  query_op_not()

## ◆ QUERY_OP_OR

const CDSRestDataProvider::QUERY_OP_OR = "or"

to combine Query expressions with `"or"` for use in queries

See also
  query_wquery_op_or()